include:
  - project: cpelyon/5irc-minekloud/ci-templates
    file: 
      - node.template.yml
      - sonar.ci.yml
      - kaniko.ci.yml
      - deploy.ci.yml

stages:
  - build
  - analyse
  - docker-build-push
  - deploy

###
# npm build
###
build:
  extends: .node-build-template